<?php
/**
 *
 * Footer Icons extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2023 - cabot
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
*/


if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}
// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ « » “ ” …
//
$lang = array_merge($lang, [
	'ACP_FI_ALIGN'							=> 'Alineación de los iconos',
	'ACP_FI_ALIGN_CENTER'					=> 'Centrado',
	'ACP_FI_ALIGN_END'						=> 'Derecha',
	'ACP_FI_ALIGN_START'					=> 'Izquierda',
	'ACP_FI_BG'								=> 'Fondo del icono',
	'ACP_FI_BG_CIRCLE'						=> 'Fondo redondeado',
	'ACP_FI_BG_EXPLAIN'						=> 'Le permite añadir un fondo redondo o cuadrado.',
	'ACP_FI_BG_NONE'						=> 'Sin fondo',
	'ACP_FI_BG_SQUARE'						=> 'Fondo cuadrado redondeado',
	'ACP_FI_BG_STOP'						=> 'Fondo cuadrado',
	'ACP_FI_BGCOLOR'						=> 'Color del fondo del icono',
	'ACP_FI_BGCOLOR_HOVER'					=> 'Color del fondo al pasar el ratón (hover) sobre el objeto',
	'ACP_FI_BGCOLOR_HOVER_EXPLAIN'			=> 'Introduzca el valor “transparent” (transparente) para usar el color del icono por defecto.',
	'ACP_FI_CODE'							=> 'Código del icono',
	'ACP_FI_CODE_EXPLAIN'					=> 'Clic en el campo para seleccionar un icono.',
	'ACP_FI_COLOR'							=> 'Color del icono',
	'ACP_FI_COLOR_HOVER'					=> 'Color del icono al pasar el ratón (hover)',
	'ACP_FI_HEADING'						=> 'Configuración de Footer Icons y vista previa',
	'ACP_FI_DEFAULT_TITLE'					=> 'Nuevo icono',
	'ACP_FI_DESC'							=> 'Descripción del icono',
	'ACP_FI_DESC_EXPLAIN'					=> 'Texto informativo mostrado en un tooltip cuando pasa el ratón (hover) (Opcional).',
	'ACP_FI_DELETE_INFO'					=> 'El icono se eliminará cuando se valide el formulario.',
	'ACP_FI_DELETE_NO'						=> 'Restaurar',
	'ACP_FI_DELETE_YES'						=> 'Borrar',
	'ACP_FI_ENABLE'							=> 'Habilitar visualización de iconos',
	'ACP_FI_INFO'							=> 'Informaciones',
	'ACP_FI_ICON_CLOSE'						=> 'Cerrar',
	'ACP_FI_ICON_SEARCH'					=> 'Buscar (por ejemplo, google)',
	'ACP_FI_ICONS'							=> 'Iconos',
	'ACP_FI_MORE_LINKS'						=> 'Añadir otro icono',
	'ACP_FI_NAME'							=> 'Nombre del icono',
	'ACP_FI_NAME_EXPLAIN'					=> 'Introduzca el nombre del icono (por ejemplo, phpBB).',
	'ACP_FI_OPEN'							=> 'Abriendo el enlace',
	'ACP_FI_OPEN_NEW'						=> 'Nueva ventana',
	'ACP_FI_OPEN_SAME'						=> 'Misma ventana',
	'ACP_FI_PREVIEW'						=> 'Vista previa',
	'ACP_FI_PREVIEW_EXPLAIN'				=> 'Aquí sólo se mostrarán los iconos ya validados.',
	'ACP_FI_POSITION'						=> 'Posición de los iconos',
	'ACP_FI_POSITION_COPYRIGHT_APPEND'		=> 'En copyrights',
	'ACP_FI_POSITION_COPYRIGHT_PREPEND'		=> 'Antes de copyrights',
	'ACP_FI_POSITION_FOOTER_AFTER'			=> 'Debajo del foro',
	'ACP_FI_POSITION_PAGE_BODY_AFTER'		=> 'Antes de la barra de navegación inferior',
	'ACP_FI_SAVED'							=> 'Ajustes de iconos guardados',
	'ACP_FI_SHADOW_COLOR'					=> 'Color de sombra proyectada (Drop shadow)',
	'ACP_FI_SHADOW_COLOR_EXPLAIN'			=> 'Añadir una ligera sombra al ícono.<br>Seleccione el valor “transparent” (transparente) para no mostrar una sombra.',
	'ACP_FI_SIZE'							=> 'Tamaño de los iconos',
	'ACP_FI_SIZE_EXPLAIN'					=> 'Introduzca el tamaño de visualización del icono y la <a href="https://www.w3.org/Style/Examples/007/units.en.html" title="Obtener más información sobre las unidades de medida (se abre en una nueva pestaña)" target="_blank"> unidad de medida <i class="fa fa-external-link" aria-hidden="true"></i></a>.<br>Por defecto: <b>2em</b>',
	'ACP_FI_TOP'							=> 'Volver arriba',
	'ACP_FI_URL'							=> 'URL del enlace asociado al icono',
	'ACP_FI_URL_EXPLAIN'					=> 'Introduzca la URL completa del enlace (por ejemplo, https://www.phpbb-fr.com)<br><strong>Deje este campo en blanco y valide para eliminar el enlace.</strong>',
]);
